Get all events

View as Markdown

Fetches all usage events, and can be filtered as needed. This endpoint is rate-limited to 600 requests per minute per merchant.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

startDatestringOptional

Start date for filtering events (UTC) (format: YYYY-MM-DDTHH:mm:ss)

endDatestringOptional

End date for filtering events (UTC) (format: YYYY-MM-DDTHH:mm:ss)

ingestStartDatestringOptional

Start ingest timestamp for filtering events (UTC) (format: YYYY-MM-DDTHH:mm:ss)

ingestEndDatestringOptional

End ingest timestamp for filtering events (UTC) (format: YYYY-MM-DDTHH:mm:ss)

customerIdstringOptional
Tabs Customer ID to filter events
eventTypeIdstringOptional
Event type ID to filter events
sourcestringOptional
Source to filter events
limitintegerOptional

Number of events to return (default: 50, max: 1000)

cursorstringOptional
Cursor for pagination
orderDirectionstringOptional

Sort direction (asc/desc)

skipDeletionEventsbooleanOptionalDefaults to true

Include deleted events in the response (default: true)

idempotencyKeyslist of stringsOptional

Idempotency key(s) to filter events.

Response

Events retrieved successfully
eventslist of objectsOptional
List of events
countintegerOptional
Total count of events
nextCursorstringOptional
Cursor for the next page of results
hasMorebooleanOptional
Whether there are more results available

Errors

400
Bad Request Error
429
Too Many Requests Error
500
Internal Server Error